geos::operation::buffer::BufferNodeFactory Class Reference

Creates nodes for use in the geomgraph::PlanarGraph constructed during buffer operations. NOTE: also used by operation::valid. More...

`#include <BufferNodeFactory.h>`

## Public Member Functions

geomgraph::Node * | createNode (const geom::Coordinate &coord) const override

## Static Public Member Functions

static const geomgraph::NodeFactory & | instance ()

## Detailed Description

Creates nodes for use in the geomgraph::PlanarGraph constructed during buffer operations. NOTE: also used by operation::valid.

The documentation for this class was generated from the following file:

- BufferNodeFactory.h